/* =========================
   HERO SECTION
========================= */
.hero{
    position: relative;
    background-color: #06245c;
    padding: 80px 5% 220px;
    color: white;
    overflow: hidden;

}
/* Keep content above waves */
.hero-text {
    position: relative;
    z-index: 10;
}
/* General wave style */
.wave {
    position: absolute;
    left: -5%;
    width: 110%;
}
/* First wave */
.wave-one {
     bottom: 0;
    height: 110px;
    background:#06245c;;
    clip-path: ellipse(75% 70% at 70% 90%);
    z-index: 3;
}
/* Second wave */
.wave-two {
    bottom: -20px;
    height: 150px;
    background: white;
    clip-path: ellipse(75% 98% at 20% 100%);
    z-index: 2;
}
/* Third wave: right to left again */
/* Third wave */
.wave-three {
    bottom: -45px;
    height: 180px;
    background :skyblue;
    clip-path: ellipse(75% 100% at 60% 100%);
    z-index: 1;
}
.hero-content{

    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:40px;

}
.hero-text{

    width:50%;

}

.hero-text h3{

    font-size:24px;
    font-weight:500;
    line-height:1.2;

}

/* Only affects Liberia Institute of Public + Administration */
.institute-name {
    width: fit-content;
}.institute-name p {
    margin: 0;
    font-size: 40px;
    font-weight: 400;
    line-height: 1;
    white-space: nowrap;
  
}
.institute-name h1 {
    margin: 0;
    font-size: 40px;
    font-weight: 900;
    letter-spacing: 1px;
    line-height: 1.2;
    text-transform: uppercase;
    white-space: nowrap;
}

.paragraphy{

    font-size:18px;
    gap: 18px;
    line-height:1.4;
}
.hero .btn{

    margin-top:30px;
    padding:15px 40px;
    border:none;
    background:skyblue;
    color:#020508;
    font-weight:bold;
   cursor:pointer;
   text-transform: uppercase;
   border-radius: 50px;
    display: block;
    margin: 0 auto;
    text-align: center;
    margin-top: 20px;
    font-size: 20px;
    font-weight: bold;

    /* Smooth hover effect */
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

/* Video Section */

.video-section {

   width:45%;
    position:relative;
}


.website-video {

    width:100%;
    height: auto;
    border-radius:15px;
     display:block;

}

/* YouTube Button Inside Video */

.youtube-button {

    position:absolute;
    top:20px;
    right:20px;
    width:40px;
    height:40px;
    background:red;
    color:white;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:18px;
    text-decoration:none;
    z-index:10;
}


.youtube-button:hover {
 background:#06245c;

}
/* =========================
   WELCOME SECTION
========================= */
.welcome{
    width:90%;
   margin:80px auto;
   display:flex;
   align-items:center;
    gap:50px;
    
}

/* Image Left */
.welcome-image {
    width: 50%;
}
.welcome-image img {
    width: 100%;
    height: 450px;
    object-fit: cover;
    border-radius: 15px;
    display:block;


}
/* Text Right */
.welcome-content {

    width: 50%;
}
/* Welcome heading */
.welcome-text p {

    margin: 0;
    font-size: 45px;
    font-weight: 400;
    white-space: nowrap;

}
.welcome-text h1 {
   margin: 5px 0 20px;
    font-size: 45px;
    font-weight: 900;
    text-transform: uppercase;
    white-space: nowrap;
    color: #06245c;

}
/* Paragraph */
.text p {

    font-size: 18px;
    line-height: 1.4;


}
/* Button */
.text .btn{
    display: block;
    margin: 20px auto;
    padding: 12px 35px;
    border: none;
    border-radius: 50px;
    background-color: #06245c;
    color: white;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    animation: floatButton 2s infinite ease-in-out;
}
.text{
    text-align: center;
}
/* =========================
   PROGRAMMES SECTION
========================= */

/* PROGRAMMES SECTION */

.programmes {
    padding: 70px 5%;
    text-align: center;
   
}
.programmes h2{
     color:#06245c;
     font-weight: bold;
     font-size: 40px;
    margin-bottom: 50px;
}


/* Three cards in a row */
.programme-container {

    display: flex;
    justify-content: center;
    gap: 80px;
}

/* Card Design */
.programme-card {
    width: 300px;
    min-height: 500px;
    background: white;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 10px 30px rgba(0,0,0,0.15);
    transition: 0.4s ease;
    position: relative;

}
/* Skyblue movement effect */
.programme-card::before {

     content: "";
    position: absolute;
    bottom: -100%;
    left: 50%;
    width: 100%;
    height: 65%;
    background: skyblue;
    transform: translateX(-50%);
    transition: 0.6s ease;
    z-index: 0;
}
/* Skyblue spreads upward on hover */
.programme-card:hover::before{
     bottom: 0;
}
/* Card moves upward */
.programme-card:hover {
transform: translateY(-10px);
}
/* Keep everything above the moving color */
.programme-card img,
.programme-card h3,
.programme-card p,
.programme-card button {
 position: relative;
z-index: 1;
}
/* Image */
.programme-card img {

    width:90%;
    height:120px;
    object-fit:cover;
    margin:15px auto 0;
    border-radius:15px;
    display: block;
}

/* Content area */
.card-content {
    padding:20px;
}

/* Card Heading */
.programme-card h3 {
    font-size:22px;
    color:#06245c;
    margin:20px 15px 10px;
    text-align:center;
    min-height:55px;
    display:flex;
    align-items:center;
    justify-content:center;
}

/* Card Paragraph */
.programme-card p {

    font-size:15px;
    line-height:1.7;
    text-align:center;
    margin:0 auto;
    padding:0 20px;
    height:160px;
    display:flex;
    align-items:center;
    justify-content:center;
}

/* Button */
.programme-card .btn{
    display:inline-block;
    margin-top:25px;
    padding:10px 30px;
    border-radius:50px;
    background:#06245c;
    color:#fff;
    text-decoration:none;
    font-weight:bold;
    transition:0.4s ease;
}

/* Button hover */
.programme-card:hover .btn{
    background:#ffffff;
    color:#06245c; ;
    transform:translateY(-3px);
    box-shadow:0 8px 20px rgba(0,0,0,.25);
}
/* ==========================
   STATISTICS SECTION
========================== */

.statistics {
    width:100%;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:80px;
    padding:60px 5%;
    background:white;

}

/* Each statistics box */

.stat-box {
    text-align:center;
    width:180px;

}


/* Image above number */

.stat-box img {
    width:60px;
    height:60px;
    object-fit:contain;
    margin-bottom:15px;
    display:block;
    margin:0 auto 15px;

}

/* Number */

.stat-box h3 {
    font-size:38px;
    font-weight:900;
    color:#06245c;
    margin:0;

}

/* Text under number */

.stat-box p {
  font-size:18px;
  color:#333;
    margin-top:8px;

}
/* =========================
   HOMEPAGE - NEWS SLIDER SECTION
========================= */
/* NEWS SECTION */
.news {

     padding:80px 5%;
    background:white;

}


.news h2 {

    text-align:center;
   color:#06245c;
   font-size:40px;
  margin-bottom:40px;

}

/* Slideshow area */
.news-container {
    position:relative;
    width:100%;
    height:450px;
    background:skyblue;
    border-radius:25px;
    overflow:hidden;

}


/* News cards */

.news-card {
 position:absolute;
    width:100%;
    height:150%;
    opacity:0;
    transition:1s ease;

}

.news-card.active {
    opacity:1;

}


/* Image */

.news-card img {
    width:100%;
    height:100%;
 object-fit:cover;

}


/* Dark layer over image */

.news-card::after {
    content:"";
    position:absolute;
        top:0;
        left:0;
        width:100%;
        height:100%;
        background:rgba(0,0,0,0.45);

}


/* Text on image */

.news-text {
    position: absolute;
    bottom: 50px;
    left: 60px;
    color: white;
    z-index: 2;
    max-width: 500px;
}

.news-text h3 {
    font-size:40px;
    font-weight:900;
    margin-bottom:15px;

}

.news-text p {
    font-size: 20px;
    line-height: 1.6;
    margin-bottom: 25px;
}
/* Read More button */

.news-text .btn {
    display: inline-block;
    padding: 12px 35px;
    background: skyblue;
    color: #06245c;
    text-decoration: none;
    border-radius: 50px;
    font-weight: bold;
    margin-top: 10px;
    transition: 0.3s ease;
}

.news-text .btn:hover {
    background: #06245c;
    color: #fff;
}

@keyframes buttonMove {

    0%,100% {
        transform:translateY(0);
    }
    50% {
      transform:translateY(-10px);
    }

}

/* Previous and Next buttons */
.prev,
.next {
        position:absolute;
        top:50%;
        transform:translateY(-50%);
       width:45px;
        height:45px;
        border-radius:50%;
        border:none;
        background:white;
        color:#06245c;
        font-size:30px;
        cursor:pointer;
        z-index:5;

}

.prev {
    left:25px;

}

.next {
   right:25px;

}

.prev:hover,
.next:hover {
   background:skyblue;

}

/* Dots */

.dots {

    position:absolute;
    bottom:20px;
    left:50%;
    transform:translateX(-50%);
    display:flex;
    gap:10px;
    z-index:5;

}

.dot {
    width:12px;
    height:12px;
    border-radius:50%;
    background:white;
    cursor:pointer;

}

.dot.active {

     background:#06245c;

}
/* =========================
    PARTNERS SECTION 
========================= */

.partners {
    padding:80px 5%;
    background:white;
     text-align:center;
}

/* Center the entire content */

.partner-container {
    max-width:1100px;
    margin:auto;
    text-align: center;

}

/* Heading */

.partner-container h2 {
    text-align:center;
    font-size:40px;
    color:#06245c; 

}

/* Paragraph */

.partner-container p {
    text-align:center;
    font-size:18px;
    line-height:1.6;
    margin:0 auto 40px;
    max-width:800px;

}

/* Logos container */

.all-logos {

    display:flex;
    justify-content:center;
    align-items:center;
    gap:40px;

}

/* Logo images */

.all-logos img {
    width:150px;
    height:100px;
    object-fit:contain;
    border-radius:10px;
    transition:0.4s ease;

}

/* Logo hover effect */

.all-logos img:hover {
    transform:translateY(-10px);
}